GNU bug report logs - #36800
[PATCH 11/11] gnu: Add r-depecher.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; merged with #36789, #36790, #36791, #36792, #36793, #36794, #36795, #36796, #36797, #36798, #36799; dated Wed, 24 Jul 2019 18:23:10 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36799 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36798 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36797 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36796 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36795 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36794 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36793 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36792 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36791 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36790 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36789 36800. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jul 2019 18:22:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 14:22:50 2019
Received: from localhost ([127.0.0.1]:38001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqLuc-0005NE-Ch
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:57385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuJ-0005Lp-5J
 for submit <at> debbugs.gnu.org; Wed, 24 Jul 2019 14:22:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41160)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuH-0003JI-VI
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1hqLuG-0007Ls-QE
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:29 -0400
Received: from mail-wr1-x42e.google.com ([2a00:1450:4864:20::42e]:46471)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1hqLuG-0007Kn-JF
 for guix-patches@HIDDEN; Wed, 24 Jul 2019 14:22:28 -0400
Received: by mail-wr1-x42e.google.com with SMTP id z1so47975368wru.13
 for <guix-patches@HIDDEN>; Wed, 24 Jul 2019 11:22:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=pgaMBeSPBUEIfWytGuX8ZLzsOG1AAzrXuronHOChjfQ=;
 b=arjY1DZIzQFyagrcaZBJyzZ2T2ROcRfcO6JCf37Y0fghwUjtnc7OdUi8mBBGcf8vOi
 ZGDuTAgOX2CvpF9UcTW284RetJLpHQ1zXiompK5fWQuW7PmuCatMG1lo9WpjywY/YV5Q
 EfPTDnZoyzcZkUluAxxn0SKMvzl0Aa5J0sGlMYz8KMKR83H+9HU8DFBRye5YybG6UW2G
 nzEUl5tfma6hqjPXAz3S6Ekb2A0nBwfOAI9ttyYtxkwh6y68FV7uB8tLmoVRNBI2Q8yb
 jHlocUl0Mz9XvnrHuFI6ra+sYTU9TbpNMl9LLLiq3DPfu4+f9SzX/cnACGdRTpKjZ2RE
 hcgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=pgaMBeSPBUEIfWytGuX8ZLzsOG1AAzrXuronHOChjfQ=;
 b=Pwlk9A9Gu+hpb4t3Mn4826eHGjShPwrSED0X/aZVCIqSMY5jUHl3atnReblnYK+WKr
 VTaMic5wdkQ3Xtnxxiv4tXT2c/gSNH3+jV9i8MSeSYWwW3AGP85B965X26ZYkeTJT46t
 xdrgimk56G7blGSlXXhH937fT/Ciav+QtnONZcQvRM9CcJdbuuq18MZZcLiaWSHrOqT6
 7WNM4PREytEV3rGT1gTXZZX2VNDmMahYtpEPWSINa9mXaDUfFC5KFzBLaB/stVo/bVZ/
 R7EtXXZ91z8G3+t0poFeOG/Yd0XU6moO54uQ7/hGZc9HWtMZlx8Zudx08tV99tu2e2r2
 HCjA==
X-Gm-Message-State: APjAAAU1uMGMqkFXk0hGZEcKfoT41oRw8NYO9mICyBdhO1MifSsCqsQ6
 WPfY5minMAVBRLzYS4LV8g/qgyvD
X-Google-Smtp-Source: APXvYqzOY7O3H+91cgitdfrLSWMNn7eNp4gW4U+Wte0ELZHg89wmje+qFFkYGN0VOfFAZrqCrP8PQQ==
X-Received: by 2002:adf:e444:: with SMTP id t4mr84470240wrm.262.1563992547529; 
 Wed, 24 Jul 2019 11:22:27 -0700 (PDT)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id g12sm66116616wrv.9.2019.07.24.11.22.26
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 24 Jul 2019 11:22:27 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 11/11] gnu: Add r-depecher.
Date: Wed, 24 Jul 2019 20:22:04 +0200
Message-Id: <20190724182204.6818-12-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.22.0
In-Reply-To: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
References: <20190724182204.6818-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::42e
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/bioconductor.scm (r-depecher): New variable.
---
 gnu/packages/bioconductor.scm | 44 +++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/bioconductor.scm b/gnu/packages/bioconductor.scm
index 64625aedd4..7c9a3b7417 100644
--- a/gnu/packages/bioconductor.scm
+++ b/gnu/packages/bioconductor.scm
@@ -5013,3 +5013,47 @@ data sets: N-integration with variants of Generalised Canonical Correlation
 Analysis and P-integration with variants of multi-group Partial Least
 Squares.")
     (license license:gpl2+)))
+
+(define-public r-depecher
+  (package
+    (name "r-depecher")
+    (version "1.0.3")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (bioconductor-uri "DepecheR" version))
+        (sha256
+          (base32
+            "0qj2h2a50fncppvi2phh0mbivxkn1mv702mqpi9mvvkf3bzq8m0h"))))
+    (properties `((upstream-name . "DepecheR")))
+    (build-system r-build-system)
+    (propagated-inputs
+      `(("r-beanplot" ,r-beanplot)
+        ("r-biocparallel" ,r-biocparallel)
+        ("r-dosnow" ,r-dosnow)
+        ("r-dplyr" ,r-dplyr)
+        ("r-foreach" ,r-foreach)
+        ("r-ggplot2" ,r-ggplot2)
+        ("r-gplots" ,r-gplots)
+        ("r-mass" ,r-mass)
+        ("r-matrixstats" ,r-matrixstats)
+        ("r-mixomics" ,r-mixomics)
+        ("r-moments" ,r-moments)
+        ("r-rcpp" ,r-rcpp)
+        ("r-rcppeigen" ,r-rcppeigen)
+        ("r-reshape2" ,r-reshape2)
+        ("r-viridis" ,r-viridis)))
+    (home-page
+      "https://bioconductor.org/packages/DepecheR")
+    (synopsis
+      "Determination of essential phenotypic elements of clusters in high-dimensional entities")
+    (description
+     "The purpose of this package is to identify traits in a dataset that can
+separate groups.  This is done on two levels.  First, clustering is performed,
+using an implementation of sparse K-means.  Secondly, the generated clusters
+are used to predict outcomes of groups of individuals based on their
+distribution of observations in the different clusters.  As certain clusters
+with separating information will be identified, and these clusters are defined
+by a sparse number of variables, this method can reduce the complexity of
+data, to only emphasize the data that actually matters.")
+    (license license:expat)))
-- 
2.21.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36800; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jul 2019 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.